List Resources
GET/accounts/{account_id}/magic/cloud/resources
List resources in the Resource Catalog (Closed Beta).
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Query Parameters
List Resources
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/magic/cloud/resources \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1001,
"message": "message",
"documentation_url": "documentation_url",
"meta": {
"l10n_key": "l10n_key",
"loggable_error": "loggable_error",
"template_data": {},
"trace_id": "trace_id"
},
"source": {
"parameter": "parameter",
"parameter_value_index": 0,
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1001,
"message": "message",
"documentation_url": "documentation_url",
"meta": {
"l10n_key": "l10n_key",
"loggable_error": "loggable_error",
"template_data": {},
"trace_id": "trace_id"
},
"source": {
"parameter": "parameter",
"parameter_value_index": 0,
"pointer": "pointer"
}
}
],
"result": [
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"account_id": "account_id",
"cloud_type": "AWS",
"config": {
"foo": "bar"
},
"deployment_provider": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"managed": true,
"monthly_cost_estimate": {
"currency": "currency",
"monthly_cost": 0
},
"name": "name",
"native_id": "native_id",
"observations": {
"foo": {
"first_observed_at": "first_observed_at",
"last_observed_at": "last_observed_at",
"provider_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"resource_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}
},
"provider_ids": [
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
],
"provider_names_by_id": {
"foo": "string"
},
"region": "region",
"resource_group": "resource_group",
"resource_type": "aws_customer_gateway",
"sections": [
{
"hidden_items": [
{
"helpText": "helpText",
"name": "name",
"value": {
"item_type": "item_type",
"string": "string"
}
}
],
"name": "name",
"visible_items": [
{
"helpText": "helpText",
"name": "name",
"value": {
"item_type": "item_type",
"string": "string"
}
}
],
"help_text": "help_text"
}
],
"state": {
"foo": "bar"
},
"tags": {
"foo": "string"
},
"updated_at": "updated_at",
"url": "url",
"managed_by": [
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"client_type": "MAGIC_WAN_CLOUD_ONRAMP",
"name": "name"
}
]
}
],
"success": true,
"result_info": {
"count": 1,
"page": 1,
"per_page": 20,
"total_count": 2000,
"total_pages": 200
}
}Returns Examples
{
"errors": [
{
"code": 1001,
"message": "message",
"documentation_url": "documentation_url",
"meta": {
"l10n_key": "l10n_key",
"loggable_error": "loggable_error",
"template_data": {},
"trace_id": "trace_id"
},
"source": {
"parameter": "parameter",
"parameter_value_index": 0,
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1001,
"message": "message",
"documentation_url": "documentation_url",
"meta": {
"l10n_key": "l10n_key",
"loggable_error": "loggable_error",
"template_data": {},
"trace_id": "trace_id"
},
"source": {
"parameter": "parameter",
"parameter_value_index": 0,
"pointer": "pointer"
}
}
],
"result": [
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"account_id": "account_id",
"cloud_type": "AWS",
"config": {
"foo": "bar"
},
"deployment_provider": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"managed": true,
"monthly_cost_estimate": {
"currency": "currency",
"monthly_cost": 0
},
"name": "name",
"native_id": "native_id",
"observations": {
"foo": {
"first_observed_at": "first_observed_at",
"last_observed_at": "last_observed_at",
"provider_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"resource_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}
},
"provider_ids": [
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
],
"provider_names_by_id": {
"foo": "string"
},
"region": "region",
"resource_group": "resource_group",
"resource_type": "aws_customer_gateway",
"sections": [
{
"hidden_items": [
{
"helpText": "helpText",
"name": "name",
"value": {
"item_type": "item_type",
"string": "string"
}
}
],
"name": "name",
"visible_items": [
{
"helpText": "helpText",
"name": "name",
"value": {
"item_type": "item_type",
"string": "string"
}
}
],
"help_text": "help_text"
}
],
"state": {
"foo": "bar"
},
"tags": {
"foo": "string"
},
"updated_at": "updated_at",
"url": "url",
"managed_by": [
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"client_type": "MAGIC_WAN_CLOUD_ONRAMP",
"name": "name"
}
]
}
],
"success": true,
"result_info": {
"count": 1,
"page": 1,
"per_page": 20,
"total_count": 2000,
"total_pages": 200
}
}